Bug 746349 - pgadmin3 1.14.0-1 built without -g in CFLAGS
pgadmin3 1.14.0-1 built without -g in CFLAGS
Product: Fedora
Classification: Fedora
Component: pgadmin3 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
Reported: 2011-10-14 17:22 EDT by Ville Skyttä
Modified: 2012-05-11 11:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.14.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-11 11:53:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2011-10-14 17:22:31 EDT
pgadmin3 1.14.0-1 is built without -g in CFLAGS, making -debuginfo useless:
Comment 1 Devrim GÜNDÜZ 2011-10-17 00:38:44 EDT
I see

+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic'

there. Am I missing something else?
Comment 2 Ville Skyttä 2011-10-17 10:54:49 EDT
(In reply to comment #1)
> Am I missing something else?

Yes.  Look at the actual compiler command lines that are used, for example:

g++ -DHAVE_CONFIG_H -I. -I..  -DDATA_DIR=\"/usr/share/pgadmin3/\" -I../pgadmin/include   -I/usr/include -I/usr/include/pgsql/server -I/usr/include/pgsql -DHAVE_CONNINFO_PARSE -I/usr/lib64/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -DEMBED_XRC -I/usr/include/libxml2 -I/usr/include/libxml2  -O2 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -c -o pgAdmin3.o `test -f './pgAdmin3.cpp' || echo './'`./pgAdmin3.cpp

No -g there.  See also the contents of the -debuginfo package - missing sources in it are a strong indication of -g not being used.

Note You need to log in before you can comment on or make changes to this bug.